Bug 1224397 - Review Request: admeshgui - STL viewer and manipulation tool
Summary: Review Request: admeshgui - STL viewer and manipulation tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1215211
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-22 19:57 UTC by Miro Hrončok
Modified: 2015-11-22 02:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 15:25:25 UTC
Type: ---
mkolman: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miro Hrončok 2015-05-22 19:57:47 UTC
Spec URL: https://raw.githubusercontent.com/hroncok/SPECS/master/admeshgui.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/admeshgui-1.0-1.fc21.src.rpm

Description: 

Extension for ADMesh tool in the form of graphical user interface. ADMesh tool
allows to manipulate and repair 3D models in the STL format. This graphical
user interface allows the user to view the model in 3D viewer, to perform
selected actions and to get visual feedback of those.

Fedora Account System Username: churchyard

Comment 1 Martin Kolman 2015-09-15 16:26:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in admeshgui
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in admeshgui
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     admeshgui-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.



Rpmlint
-------
Checking: admeshgui-1.0-1.fc24.x86_64.rpm
          admeshgui-debuginfo-1.0-1.fc24.x86_64.rpm
          admeshgui-1.0-1.fc24.src.rpm
admeshgui.x86_64: W: no-manual-page-for-binary admeshgui
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/user/1224397-admeshgui/srpm/admeshgui.spec    2015-09-15 16:10:48.082515364 +0200
+++ /home/user/1224397-admeshgui/srpm-unpacked/admeshgui.spec   2015-06-11 15:43:48.000000000 +0200
@@ -41,4 +41,7 @@
 make install INSTALL_ROOT=%{buildroot}

+%check
+desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
+
 %post
 update-desktop-database &>/dev/null || :



Requires
--------
admeshgui-debuginfo (rpmlib, GLIBC filtered):

admeshgui (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libadmesh.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstlsplit.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
admeshgui-debuginfo:
    admeshgui-debuginfo
    admeshgui-debuginfo(x86-64)

admeshgui:
    ADMeshGUI
    ADMeshGUI(x86-64)
    admeshgui
    admeshgui(x86-64)
    application()
    application(admeshgui.desktop)
    mimehandler(application/octet-stream)
    mimehandler(application/sla)
    mimehandler(text/plain)



Source checksums
----------------
https://github.com/vyvledav/ADMeshGUI/archive/v1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4b82194108f6e4c2d89a15ab2e1e9b8f18d763dc3a00a3ea747ce3876c2a22b0
  CHECKSUM(SHA256) upstream package : 4b82194108f6e4c2d89a15ab2e1e9b8f18d763dc3a00a3ea747ce3876c2a22b0

Comment 2 Miro Hrončok 2015-09-16 11:31:04 UTC
New Package SCM Request
=======================
Package Name: admeshgui
Short Description: STL viewer and manipulation tool
Owners: churchyard
Branches: f21 f22 f23

Comment 3 Gwyn Ciesla 2015-09-16 12:53:05 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-09-16 16:28:27 UTC
admeshgui-1.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16036

Comment 5 Fedora Update System 2015-09-16 16:48:56 UTC
admeshgui-1.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16037

Comment 6 Fedora Update System 2015-09-16 16:50:58 UTC
admeshgui-1.0.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16038

Comment 7 Fedora Update System 2015-09-17 01:01:35 UTC
admeshgui-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update admeshgui'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16038

Comment 8 Fedora Update System 2015-09-17 01:05:23 UTC
admeshgui-1.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update admeshgui'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16037

Comment 9 Fedora Update System 2015-09-17 21:30:38 UTC
admeshgui-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update admeshgui'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16036

Comment 10 Fedora Update System 2015-11-20 15:25:23 UTC
admeshgui-1.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-11-20 23:26:08 UTC
admeshgui-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-22 02:25:18 UTC
admeshgui-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.